<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_PBE_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_PBE_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a612c89f901f58cad3d1d0d8089aa0060"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__PBE__PARAMS.html#a612c89f901f58cad3d1d0d8089aa0060">pInitVector</a></td></tr>
<tr class="separator:a612c89f901f58cad3d1d0d8089aa0060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcd59d3f53ba9541d524b464e52db6c3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#af25c3841a3f605e6414f4c9ef5592ed9">CK_UTF8CHAR_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__PBE__PARAMS.html#afcd59d3f53ba9541d524b464e52db6c3">pPassword</a></td></tr>
<tr class="separator:afcd59d3f53ba9541d524b464e52db6c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89c0c27f6cec1370f47936875a8cc1b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__PBE__PARAMS.html#a89c0c27f6cec1370f47936875a8cc1b5">ulPasswordLen</a></td></tr>
<tr class="separator:a89c0c27f6cec1370f47936875a8cc1b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe4a9572f77ba45b587a125d643c5b72"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__PBE__PARAMS.html#abe4a9572f77ba45b587a125d643c5b72">pSalt</a></td></tr>
<tr class="separator:abe4a9572f77ba45b587a125d643c5b72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d206c4f8551e261f4bbd21409ffb631"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__PBE__PARAMS.html#a4d206c4f8551e261f4bbd21409ffb631">ulSaltLen</a></td></tr>
<tr class="separator:a4d206c4f8551e261f4bbd21409ffb631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9c12921654a58f48b32e71c3742026d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__PBE__PARAMS.html#ad9c12921654a58f48b32e71c3742026d">ulIteration</a></td></tr>
<tr class="separator:ad9c12921654a58f48b32e71c3742026d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01306">1306</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a612c89f901f58cad3d1d0d8089aa0060"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a612c89f901f58cad3d1d0d8089aa0060">&#9670;&nbsp;</a></span>pInitVector</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pInitVector</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01307">1307</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="afcd59d3f53ba9541d524b464e52db6c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcd59d3f53ba9541d524b464e52db6c3">&#9670;&nbsp;</a></span>pPassword</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#af25c3841a3f605e6414f4c9ef5592ed9">CK_UTF8CHAR_PTR</a> pPassword</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01308">1308</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="abe4a9572f77ba45b587a125d643c5b72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe4a9572f77ba45b587a125d643c5b72">&#9670;&nbsp;</a></span>pSalt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pSalt</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01310">1310</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ad9c12921654a58f48b32e71c3742026d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9c12921654a58f48b32e71c3742026d">&#9670;&nbsp;</a></span>ulIteration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulIteration</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01312">1312</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a89c0c27f6cec1370f47936875a8cc1b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89c0c27f6cec1370f47936875a8cc1b5">&#9670;&nbsp;</a></span>ulPasswordLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulPasswordLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01309">1309</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a4d206c4f8551e261f4bbd21409ffb631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d206c4f8551e261f4bbd21409ffb631">&#9670;&nbsp;</a></span>ulSaltLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulSaltLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01311">1311</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
